#!/bin/sh

umask 0022
unset IFS
unset OFS
unset LD_PRELOAD
unset LD_LIBRARY_PATH
export PATH='/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'

readonly agent_name='barad_agent'
if [ -w '/usr' ]; then
    myPath="/usr/local/qcloud"
    lnPath="/usr/bin/cagent_tools"
else
    myPath="/var/lib/qcloud"
    lnPath="/opt/bin/cagent_tools"
fi

cd $(dirname $0) && sh stop.sh

if [ $? -ne 0 ]; then
    kill -9 `ps aux | grep "$agent_name" | grep -v "grep"| awk '{print $2}'` > /dev/null 2>&1
    pkill -9 $agent_name  > /dev/null 2>&1
    rm -f /var/run/${agent_name}.lock
fi

rm -rf $myPath/monitor/barad
rm -f $lnPath
# clear installed tag in stargate agent
rm -f $myPath/stargate/modules/linux_barad_agent

exit 0
